#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, i;
    scanf("%d", &n);

    for (int i = 1; i <= n; ++i) {
        printf("%d %d", i, 2*n - i + 1);
        printf("\n");
    }

    return 0;
}